---@enum EText3DBevelType
local EText3DBevelType = {
    Linear = 0,
    HalfCircle = 1,
    Convex = 2,
    Concave = 3,
    OneStep = 4,
    TwoSteps = 5,
    Engraved = 6,
    EText3DBevelType_MAX = 7,
}

---@enum EText3DCharacterEffectOrder
local EText3DCharacterEffectOrder = {
    Normal = 0,
    FromCenter = 1,
    ToCenter = 2,
    Opposite = 3,
    EText3DCharacterEffectOrder_MAX = 4,
}

---@enum EText3DHorizontalTextAlignment
local EText3DHorizontalTextAlignment = {
    Left = 0,
    Center = 1,
    Right = 2,
    EText3DHorizontalTextAlignment_MAX = 3,
}

---@enum EText3DModifyFlags
local EText3DModifyFlags = {
    None = 0,
    Layout = 1,
    Geometry = 2,
    Unfreeze = 4,
    All = 7,
    EText3DModifyFlags_MAX = 8,
}

---@enum EText3DVerticalTextAlignment
local EText3DVerticalTextAlignment = {
    FirstLine = 0,
    Top = 1,
    Center = 2,
    Bottom = 3,
    EText3DVerticalTextAlignment_MAX = 4,
}

